gnutls_idna_map(3)

NAME
gnutls_idna_map - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_idna_map(const char * input, unsigned ilen, gnutls_datum_t * out, unsigned flags);

ARGUMENTS

const char * input
    contain the UTF-8 formatted domain name

unsigned ilen
    the length of the provided string

gnutls_datum_t * out
    the result in an null-terminated allocated string

unsigned flags
    should be zero

DESCRIPTION
This function will convert the provided UTF-8 domain name, to its IDNA mapping in an allocated variable. Note that depending on the flags the used gnutls library was compiled with, the output of this function may vary (i.e., may be IDNA2008, or IDNA2003). To force IDNA2008 specify the flag GNUTLS_IDNA_FORCE_2008. In the case GnuTLS is not compiled with the necessary dependencies, GNUTLS_E_UNIMPLEMENTED_FEATURE will be returned to indicate that gnutls is unable to perform the requested conversion. Note also, that this function will return an empty string if an empty string is provided as input.

RETURNS
GNUTLS_E_INVALID_UTF8_STRING on invalid UTF-8 data, or 0 on success.

SINCE
3.5.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/